New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

馃搩 CEP 7 documentation? #60

Closed
Jolg42 opened this Issue Jun 21, 2016 · 18 comments

Comments

Projects
None yet
7 participants
@Jolg42

Jolg42 commented Jun 21, 2016

Hi,

Do you know when the CEP 7 documentation will be available here? (As CEP 7 is now in production as of today with app updates like Illustrator 20 - CC2015.3 update)

As an extension developer it's a really important document 馃槈

@arthurwei1975

This comment has been minimized.

Show comment
Hide comment
@arthurwei1975

arthurwei1975 Jun 21, 2016

Contributor

We are working on it. Will publish in a couple of days. Thanks

Contributor

arthurwei1975 commented Jun 21, 2016

We are working on it. Will publish in a couple of days. Thanks

@arthurwei1975

This comment has been minimized.

Show comment
Hide comment
@arthurwei1975

arthurwei1975 Jun 21, 2016

Contributor

By the way, Photoshop and Illustrator are using CEP 7.0, and other apps are still using CEP 6.1. To install extensions with new apps, please download latest version of ExManCmd from https://www.adobeexchange.com/resources/28.

Contributor

arthurwei1975 commented Jun 21, 2016

By the way, Photoshop and Illustrator are using CEP 7.0, and other apps are still using CEP 6.1. To install extensions with new apps, please download latest version of ExManCmd from https://www.adobeexchange.com/resources/28.

@jakkor

This comment has been minimized.

Show comment
Hide comment
@jakkor

jakkor Jun 22, 2016

Hi,

It would be great if you could add some change log to the documentation, or at least new features added.

jakkor commented Jun 22, 2016

Hi,

It would be great if you could add some change log to the documentation, or at least new features added.

@MattMcNam

This comment has been minimized.

Show comment
Hide comment
@MattMcNam

MattMcNam Jun 22, 2016

@arthurwei1975 That page says last updated in July 2015, is that the right link? Nevermind, links point to up to date zips.

ExManCmd v7.3.2.145 doesn't seem to detect Prelude 2015.4 nor Premiere 2015.3

MattMcNam commented Jun 22, 2016

@arthurwei1975 That page says last updated in July 2015, is that the right link? Nevermind, links point to up to date zips.

ExManCmd v7.3.2.145 doesn't seem to detect Prelude 2015.4 nor Premiere 2015.3

@rishabhjain9191

This comment has been minimized.

Show comment
Hide comment
@rishabhjain9191

rishabhjain9191 Jun 22, 2016

Hi
Does this release doesn't support the range in version in the manifest ?
For example

works with the latest version while
doesn't

Why is this happening ?

Hi
Does this release doesn't support the range in version in the manifest ?
For example

works with the latest version while
doesn't

Why is this happening ?

@arthurwei1975

This comment has been minimized.

Show comment
Hide comment
@arthurwei1975

arthurwei1975 Jun 22, 2016

Contributor

Can you show your manifest here?

Contributor

arthurwei1975 commented Jun 22, 2016

Can you show your manifest here?

@rishabhjain9191

This comment has been minimized.

Show comment
Hide comment
@rishabhjain9191

rishabhjain9191 Jun 22, 2016

earlier hoslist information of my manifest was like this
<Host Name="PHXS" Version="[14.0,16.9]" />
<Host Name="PHSP" Version="[14.0,16.9]" />
When I updated my photoshop, it doesn't show the extension any more. As I changed the version like this
<Host Name="PHXS" Version="15.0" />
<Host Name="PHSP" Version="15.0" />
It started showing up. Attached the 2 manifests.
manifest.txt
manifest_working.txt

Also, If I want a single extension for all the CC versions(CC, CC14, CC15) which version should I use as CSXS version and ExtensionManifest Version ?

Thanks

earlier hoslist information of my manifest was like this
<Host Name="PHXS" Version="[14.0,16.9]" />
<Host Name="PHSP" Version="[14.0,16.9]" />
When I updated my photoshop, it doesn't show the extension any more. As I changed the version like this
<Host Name="PHXS" Version="15.0" />
<Host Name="PHSP" Version="15.0" />
It started showing up. Attached the 2 manifests.
manifest.txt
manifest_working.txt

Also, If I want a single extension for all the CC versions(CC, CC14, CC15) which version should I use as CSXS version and ExtensionManifest Version ?

Thanks

@undavide

This comment has been minimized.

Show comment
Hide comment
@undavide

undavide Jun 22, 2016

@rishabhjain9191 Photoshop CC2015.5 is in fact a major version (17.0): your original manifest.xml doesn't include it 鈥 and the Panel won't show up.
If you want to use ranges, it should be "[14.0,17.9]" (CC, CC2014, CC2015, CC2015.5), or use the non-array syntax "14" (or whatever version, which means: from that very version onwards, without upper limit).
I've posted a quite extensive blogpost covering troubleshooting Panels on CC 2015.5 here.

Davide

@rishabhjain9191 Photoshop CC2015.5 is in fact a major version (17.0): your original manifest.xml doesn't include it 鈥 and the Panel won't show up.
If you want to use ranges, it should be "[14.0,17.9]" (CC, CC2014, CC2015, CC2015.5), or use the non-array syntax "14" (or whatever version, which means: from that very version onwards, without upper limit).
I've posted a quite extensive blogpost covering troubleshooting Panels on CC 2015.5 here.

Davide

@rishabhjain9191

This comment has been minimized.

Show comment
Hide comment
@rishabhjain9191

rishabhjain9191 Jun 22, 2016

Thank you so much Davide, So silly of me.

Thank you so much Davide, So silly of me.

@arthurwei1975

This comment has been minimized.

Show comment
Hide comment
@arthurwei1975

arthurwei1975 Jun 23, 2016

Contributor

We have posted CEP 7.0 documentation and samples.

CEP 6.1 documentation has been updated either.

For the CC 2015.x release in June 2016, Photoshop and Illustrator use CEP 7.0, and other apps still use an updated CEP 6.1.

Contributor

arthurwei1975 commented Jun 23, 2016

We have posted CEP 7.0 documentation and samples.

CEP 6.1 documentation has been updated either.

For the CC 2015.x release in June 2016, Photoshop and Illustrator use CEP 7.0, and other apps still use an updated CEP 6.1.

@Jolg42

This comment has been minimized.

Show comment
Hide comment
@Jolg42

Jolg42 Jun 23, 2016

@arthurwei1975 Thank you! 馃檹

Jolg42 commented Jun 23, 2016

@arthurwei1975 Thank you! 馃檹

@Jolg42

This comment has been minimized.

Show comment
Hide comment
@Jolg42

Jolg42 Jun 23, 2016

@arthurwei1975 It looks like you put some samples extensions here https://github.com/Adobe-CEP/CEP-Resources/tree/master/CEP_7.x/Samples but as there is a special repository for that (https://github.com/Adobe-CEP/Samples) I think that can be a source of confusion!

Btw I like .pdf docs but in CEP5 and older the docs were in markdown and it was definitely easier to open on GitHub + easier to do a PR for modifications (if needed) 馃槈

Jolg42 commented Jun 23, 2016

@arthurwei1975 It looks like you put some samples extensions here https://github.com/Adobe-CEP/CEP-Resources/tree/master/CEP_7.x/Samples but as there is a special repository for that (https://github.com/Adobe-CEP/Samples) I think that can be a source of confusion!

Btw I like .pdf docs but in CEP5 and older the docs were in markdown and it was definitely easier to open on GitHub + easier to do a PR for modifications (if needed) 馃槈

@arthurwei1975

This comment has been minimized.

Show comment
Hide comment
@arthurwei1975

arthurwei1975 Jun 23, 2016

Contributor

The CEP sample extensions are updated for each CEP release. It would be better to put them together with that release' API and documentation.

We have CEP cookbook on Adobe internal wiki, which uses a different markup language than markdown. It is hard for us to synchronize all document changes to GitHub wiki. By converting the wiki to PDF, it is easier for us to provide the cookbook quickly and thoroughly.

Contributor

arthurwei1975 commented Jun 23, 2016

The CEP sample extensions are updated for each CEP release. It would be better to put them together with that release' API and documentation.

We have CEP cookbook on Adobe internal wiki, which uses a different markup language than markdown. It is hard for us to synchronize all document changes to GitHub wiki. By converting the wiki to PDF, it is easier for us to provide the cookbook quickly and thoroughly.

@Jolg42

This comment has been minimized.

Show comment
Hide comment
@Jolg42

Jolg42 Jun 23, 2016

@arthurwei1975 I see what you mean but I think it will confuse people, because the "Samples" repo is here for that & there is no clue for developers that the samples are now here for CEP 7鈥 + it's the first time that samples are added in CEP-Resources.
I think that a least a link in the CEP-Resources README will help people looking for it!

Jolg42 commented Jun 23, 2016

@arthurwei1975 I see what you mean but I think it will confuse people, because the "Samples" repo is here for that & there is no clue for developers that the samples are now here for CEP 7鈥 + it's the first time that samples are added in CEP-Resources.
I think that a least a link in the CEP-Resources README will help people looking for it!

@arthurwei1975

This comment has been minimized.

Show comment
Hide comment
@Jolg42

This comment has been minimized.

Show comment
Hide comment

Jolg42 commented Jun 23, 2016

@arthurwei1975 Perfect 馃憣!

@fgregor

This comment has been minimized.

Show comment
Hide comment
@fgregor

fgregor Jun 24, 2016

Contributor

@MattMcNam You're right that the zips have been updated - the Prelude/Premiere issues you mention are being investigated. I should have more to share in the next few days.

Contributor

fgregor commented Jun 24, 2016

@MattMcNam You're right that the zips have been updated - the Prelude/Premiere issues you mention are being investigated. I should have more to share in the next few days.

@Jolg42

This comment has been minimized.

Show comment
Hide comment

Jolg42 commented Jul 25, 2016

@rishabhjain9191 I just published a short tutorial with a CEP7 example if you're still interested https://medium.com/@jolg42/how-to-create-an-html5-javascript-extension-for-adobe-illustrator-photoshop-cc-78921802e248 馃槈

@Jolg42 Jolg42 closed this Jul 25, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment